Tasks
Create a Task for a Business
Scopes: request:create
POST
/
v0
/
business
/
{business_id}
/
task
Create a Task for a Business
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"external_account_id": "eac_WQMDNUHpBThYSNh4AprDBo",
"month": "2025-01",
"metadata": {
"date_from": "2024-12-31",
"date_to": "2025-01-13"
}
}
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/task"
payload = {
"description": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"external_account_id": "eac_WQMDNUHpBThYSNh4AprDBo",
"month": "2025-01",
"metadata": {
"date_from": "2024-12-31",
"date_to": "2025-01-13"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
transaction_id: 'txn_WQMDNUHpBThYSNh4AprDBo',
external_account_id: 'eac_WQMDNUHpBThYSNh4AprDBo',
month: '2025-01',
metadata: {date_from: '2024-12-31', date_to: '2025-01-13'}
})
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "ABC Business Checking",
"resolver": "business",
"first_requested_at": "2023-11-07T05:31:56Z",
"last_requested_at": "2023-11-07T05:31:56Z",
"month": "2025-01"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"message": "string",
"data": "string"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
Body
application/json
The task description
Example:
"Please upload the bank statement for January"
The task type to use when creating the task
Available options:
reconnect_account, categorize_transaction, review_personal_transaction, other, request_receipt, request_statement, request_other_document, request_payroll Example:
"request_statement"
The id of the transaction for which a receipt is requested
Example:
"txn_WQMDNUHpBThYSNh4AprDBo"
The id of the External Account for which a statement is requested
Example:
"eac_WQMDNUHpBThYSNh4AprDBo"
The month associated with the task in YYYY-MM format.
Maximum string length:
7Example:
"2025-01"
Task-specific metadata
Example:
{
"date_from": "2024-12-31",
"date_to": "2025-01-13"
}
Response
Successful Response
- TaskPublic
- TaskCategorizationPublic
- TaskReconnectAccountPublic
- TaskRequestReceiptPublic
- TaskRequestStatementPublic
- TaskRequestPayrollPublic
- TaskReviewTransactionsPublic
- TaskReconciliationPublic
Show child attributes
Show child attributes
⌘I
Create a Task for a Business
